Subject: Ticket Assigned - order 2000968605
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 03 Mar 2021 02:48:23 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  order 2000968605 I have emailed you on 18/2/2021,  "When i returned the order in cairo
festival city, they did not refund the cash o delivery amount, however when
i called customer service they advised that i should have received an
amount of EGP 437.12, so please add the EGP 20 to my balance"

Then, you replied "We would request you to please contact the store for the
balance refund or we can provide you an online voucher for the balance
amount against the balance." AND I REPLIED THAT I WANT AN ONLINE VOUCHER
FOR EGP 20 AND NO ONE REPLIED TO ME AGAIN!! THIS NEEDS TO BE SORTED ASAP!!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2156393